# SpatialSubgroup class

(Shortest import: `from brian2.spatialneuron.spatialneuron import SpatialSubgroup)`

class brian2.spatialneuron.spatialneuron.SpatialSubgroup(*args, **kw)

  Bases: `Subgroup`

  A subgroup of a `SpatialNeuron`.

  Parameters:

    source : int

    > First compartment.

    stop : int

    > Ending compartment, not included (as in slices).

    morphology : `Morphology`

    > Morphology corresponding to the subgroup (not the full morphology).

    name : str, optional

    > Name of the subgroup.